Bug 115183 - kdepim "BuildRequires: libart_lgpl-devel" missing
kdepim "BuildRequires: libart_lgpl-devel" missing
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kdepim (Show other bugs)
3.0
All Linux
medium Severity low
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-08 03:43 EST by Ryan Finnie
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-01 15:42:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ryan Finnie 2004-02-08 03:43:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
kdepim requires libart_lgpl-devel to build, but is not specified in
the spec file.

Version-Release number of selected component (if applicable):
kdepim-3.1.3-3.3

How reproducible:
Always

Steps to Reproduce:
1. rpmbuild -ba kdepim.spec


Actual Results:  /bin/sh ../libtool --silent --mode=link --tag=CXX g++
 -Wnon-virtual-dtor -Wno-long-long -Wundef -Wall -pedantic -W
-Wpointer-arith -Wwrite-strings -ansi -D_XOPEN_SOURCE=500
-D_BSD_SOURCE -Wcast-align -Wconversion -O2 -O2 -g -march=i386
-mcpu=i686 -D_GNU_SOURCE -DNDEBUG -UDEBUG -DQT_THREAD_SUPPORT
-fno-use-cxa-atexit -fno-exceptions -fno-check-new    -o
libkcalsystem.la.closure libkcalsystem_la_closure.lo -L/usr/X11R6/lib
-L/usr/lib/qt-3.1/lib -L/usr/lib  -no-undefined -version-info 0:1:0
-module kcalendarsystem.lo kcalendarsystemhijri.lo hconv.lo -lqt-mt 
-lpng -lz -lm -lXext -lX11  -lSM -lICE -lpthread -lkdeui
libtool: link: warning: `-version-info' is ignored for programs
/usr/bin/ld: cannot find -lart_lgpl_2
collect2: ld returned 1 exit status
make[2]: *** [libkcalsystem.la.closure] Error 1


Expected Results:  build succeed

Additional info:
Comment 1 Ngo Than 2004-03-01 15:42:52 EST
it's fixed in kdepim-3.2.0-1.5. it's available in rawhide

Note You need to log in before you can comment on or make changes to this bug.